aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adam Pilkington (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ARIES-1280) Bytecode weaving for blueprint proxy classes does not support Java 8
Date Wed, 17 Dec 2014 13:45:16 GMT

     [ https://issues.apache.org/jira/browse/ARIES-1280?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Adam Pilkington updated ARIES-1280:
-----------------------------------
    Attachment: java8update.patch

Here is a patch of the changes I've made to allow things to work (and the component tests
still pass)

> Bytecode weaving for blueprint proxy classes does not support Java 8
> --------------------------------------------------------------------
>
>                 Key: ARIES-1280
>                 URL: https://issues.apache.org/jira/browse/ARIES-1280
>             Project: Aries
>          Issue Type: Bug
>          Components: Proxy
>    Affects Versions: proxy-impl-1.0.1
>         Environment: Java 8 classes
>            Reporter: Adam Pilkington
>         Attachments: java8update.patch
>
>
> Hi, whilst using blueprint with Java 8 classes I started getting bytecode verification
errors.
> I believe that this is because the weaving being done in the proxy component does not
yet support Java 8. I've had a look at the code and it looks like it needs an upgrade of the
version of ASM being used to generate the bytecode from version 4 to 5 so that the class version
can be correctly set in the ProxyUtils class.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message